Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82571 - man pages don't display properly
Summary: man pages don't display properly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-23 15:39 UTC by David Balažic
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version: 1.5m2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-27 01:05:06 UTC


Attachments (Terms of Use)

Description David Balažic 2003-01-23 15:39:28 UTC
Description of problem:

man does not display certain pages properly, for example :

[root@localhost root]# man 8 shutdown   # execute under /usr/bin/screen running 
on VT1, TERM=screen

The top line is missing. Should be :
---cut---
SHUTDOWN(8)           Linux System Administrator's Manual          SHUTDOWN(8)

NAME
       shutdown - bring the system down
---cut---
but only this is visible :
---cut---

NAME
       shutdown - bring the system down

SYNOPSIS
---cut---

Can be "recovered" by scrolling down and up.

Same thing happens in gnome-terminal and xterm ( their dimension is 24x80 )
TERM=xterm


Version-Release number of selected component (if applicable):

$ rpm -qf /usr/share/man/man8/shutdown.8.gz
SysVinit-2.84-7
$ rpm -q man groff screen
man-1.5j-12
groff-1.18.1-1
screen-3.9.13-2
$ rpm -qf `which xterm`
XFree86-4.2.99.2-0.20021217.0
$ rpm -qf `which gnome-terminal`
gnome-terminal-2.1.3-2

Comment 1 David Balažic 2003-01-30 17:41:46 UTC
News in phoebe2 ( 8.0.93 ) , SysVinit-2.84-7 , screen-8.9.13-2 , groff-1.1 , 
man-1.5k-2 :

man 8 shutdown displays OK in screen runnin on VT2, did not check xterm or 
gnome-terminal.

Comment 2 Tim Waugh 2003-02-06 10:38:08 UTC
Please try the latest rawhide packages (groff, less).  It works for me here.

Comment 3 David Balažic 2003-02-07 10:16:55 UTC
Seems OK with latest groff.
It was already OK when I posted my prev comment #1.

Comment 4 David Balažic 2003-02-12 08:51:38 UTC
I have a similar problem with "man perlcc" ( on VT2 ).
Top line is missing. If I press SPACE and the 'b', it is displayed.
"man perlcc -P more" does not show the problem.

Versions :
groff-1.18.1-15
less-378-7
perl-5.8.0-83
man-1.5k-5
termcap-11.0.1-15
ncurses-5.2-29


Comment 5 Eido Inoue 2003-02-20 21:29:03 UTC
fixed in latest man 1.5k and groff rawhide combo

Comment 6 David Balažic 2003-02-26 10:23:31 UTC
no , I still have the same problem , using :
man-1.5k-6
groff-1.18.1-20
less-378-7
perl-5.8.0-83


Comment 7 Eido Inoue 2004-01-27 01:05:06 UTC
appears to be fixed with latest groff/man running in UTF-8


Note You need to log in before you can comment on or make changes to this bug.